class Person
{
	private String name;
	
	public Person(String name){
		this.name = name;
	}
	
	public String getName(){
		return name;
	}
}

class Car
{
	private int position = 0;
	private String driverName;
	
	public Car(int position, Person driver){
		this.position = position;
		driverName = driver.getName();
	}
	
	public String toString(){
		return driverName + " " + position;
	}
}

class MovingCarDriver
{
	public static void main(String args[]){
		Person alice = new Person("Alice");
		Car myCar = new Car(1, alice);
		System.out.println(myCar);
	}
}